求助:compiz不能启动

为当前最终发行版之前的所有版本提供支持
回复
荣辱不惊
帖子: 14
注册时间: 2011-01-12 12:49
送出感谢: 4 次
接收感谢: 0

求助:compiz不能启动

#1

帖子 荣辱不惊 » 2011-01-13 22:47

点菜单compiz fusion icon没有反应,终端输入 compiz提示
WARNING: Application calling GLX 1.3 function "glXCreatePixmap" when GLX 1.3 is not supported! This is an application bug!
如何解决?谢谢!
(10.04LTS,compizconfig设置管理器和Emerald Themer正常,用新立得把所有含compiz的重装了一遍,还是不行 :em20
头像
remeber
论坛版主
帖子: 13005
注册时间: 2009-01-06 15:18
来自: 人间
送出感谢: 1 次
接收感谢: 22 次

Re: 求助:compiz不能启动

#2

帖子 remeber » 2011-01-13 23:38

This is an application bug!
说得比较明了了。
“有一种被人抛诸脑后的过去,包含一些不该遗忘的点点滴滴。欢笑之余,我将故旧拾起,才刹见自己的薄情。人世间似乎存在着某种公平,每个人都曾被抛掷在他人的遗忘中;而今你所有哽咽难宣的话语,也正是你曾为人所期盼,却永远听不见的字句。” —赫曼 赫塞
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

Re: 求助:compiz不能启动

#3

帖子 eexpress » 2011-01-13 23:50

fusion icon 是py的。先打到再说。
● 鸣学
荣辱不惊
帖子: 14
注册时间: 2011-01-12 12:49
送出感谢: 4 次
接收感谢: 0

Re: 求助:compiz不能启动

#4

帖子 荣辱不惊 » 2011-01-14 13:23

终端输入:fusion-icon显示如下(面板上没有出现fusion-icon图标)
* Detected Session: gnome
* Searching for installed applications...
Traceback (most recent call last):
File "/usr/bin/fusion-icon", line 57, in <module>
from FusionIcon.interface import choose_interface
File "/usr/lib/python2.6/dist-packages/FusionIcon/interface.py", line 22, in <module>
import start
File "/usr/lib/python2.6/dist-packages/FusionIcon/start.py", line 35, in <module>
config.check()
File "/usr/lib/python2.6/dist-packages/FusionIcon/util.py", line 366, in check
self.create_config_file()
File "/usr/lib/python2.6/dist-packages/FusionIcon/util.py", line 400, in create_config_file
self.write(open(self.config_file, 'w'))
IOError: [Errno 13] Permission denied: '/home/lyh/.config/compiz/fusion-icon'

转到.config文件夹下发现compiz文件夹的所有者为root,觉得似乎不对
(前几天进不了桌面,把.gconf 和 .config都删了,并用root登入过一次,不知是否有关?)
于是sudo chown lyh .config/compiz将其改为自己
再输入fusion-icon提示如下(面板上出现了fusion-icon图标,屏幕闪了两下,有一种重启桌面的感觉)
* Detected Session: gnome
* Searching for installed applications...
* Intel detected, exporting: INTEL_BATCH=1
* Using the GTK Interface
* Decorator "/usr/bin/compiz-decorator" is invalid.
* Setting decorator to GTK Window Decorator ("gtk-window-decorator --replace")
* Starting Compiz
... executing: compiz --replace --sm-disable --ignore-desktop-hints ccp
WARNING: Application calling GLX 1.3 function "glXCreatePixmap" when GLX 1.3 is not supported! This is an application bug!
WARNING: Application calling GLX 1.3 function "glXDestroyPixmap" when GLX 1.3 is not supported! This is an application bug!

显示两条WARNING我想是因为输入了两次命令的原因,top显示compiz已经在运行了
继续尝试自己修复,也请高手指点
荣辱不惊
帖子: 14
注册时间: 2011-01-12 12:49
送出感谢: 4 次
接收感谢: 0

Re: 求助:compiz不能启动

#5

帖子 荣辱不惊 » 2011-01-14 13:56

输入fusion-icon --no-start(跟菜单compiz fusino icon的属性中看到的命令一样)显示如下
* Detected Session: gnome
* Searching for installed applications...
* Intel detected, exporting: INTEL_BATCH=1
* Using the GTK Interface
一切正常!
为何要加 --no-start参数?求解
回复

回到 “老旧版本支持”